Bug 10627 - rid_array used before status checked - segmentation fault due to null pointer dereference
rid_array used before status checked - segmentation fault due to null pointer...
Status: RESOLVED FIXED
Product: Samba 3.6
Classification: Unclassified
Component: Winbind
3.6.23
All All
: P5 normal
: ---
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2014-05-24 18:35 UTC by Brian
Modified: 2014-06-21 20:00 UTC (History)
0 users

See Also:


Attachments
patch against 3.6.6. Applied successfully to 3.6.23 (889 bytes, patch)
2014-05-24 18:35 UTC, Brian
no flags Details
Patch for 4.1.next, 4.0.next. (1.42 KB, patch)
2014-05-31 04:06 UTC, Jeremy Allison
no flags Details
Updated patch for 4.1.next, 4.0.next (1.57 KB, patch)
2014-05-31 04:07 UTC, Jeremy Allison
abartlet: review+
ddiss: review+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Brian 2014-05-24 18:35:41 UTC
Created attachment 9975 [details]
patch against 3.6.6. Applied successfully to 3.6.23

Serious problems using pam/winbind. log.wb-DOMAIN shows segmentation fault in rpc_lookup_usergroups.

Disassemble core, %eax == 0 and mov $0,(%eax).

Attached patch seems to have resolved. This was against debian (3.6.6) but no change in latest 3.6.23.
Comment 1 Jeremy Allison 2014-05-31 00:35:58 UTC
Patch looks good ! I'll get it into master, then into all supported branches.

Thanks a *lot* Brian !

Jeremy.
Comment 2 Jeremy Allison 2014-05-31 04:06:32 UTC
Created attachment 9999 [details]
Patch for 4.1.next, 4.0.next.

Andrews patch that went into master. Applies cleanly to 4.0.next and 4.1.next and fixes the crash bug.

Jeremy.
Comment 3 Jeremy Allison 2014-05-31 04:07:46 UTC
Created attachment 10000 [details]
Updated patch for 4.1.next, 4.0.next

Updated commit message with bug report reference.
Comment 4 Jeremy Allison 2014-05-31 04:08:34 UTC
Comment on attachment 10000 [details]
Updated patch for 4.1.next, 4.0.next

David or Andrew, please +1 this and I'll re-assign to Karolin for inclusion.

Thanks,

Jeremy.
Comment 5 Jeremy Allison 2014-06-02 15:54:27 UTC
Karolin please include in 4.1.next, 4.0.next.

Thanks !

Jeremy.
Comment 6 Brian 2014-06-02 18:57:15 UTC
Great stuff!



On Mon, Jun 2, 2014 at 5:54 PM,  <samba-bugs@samba.org> wrote:
> https://bugzilla.samba.org/show_bug.cgi?id=10627
>
> --- Comment #5 from Jeremy Allison <jra@samba.org> 2014-06-02 15:54:27 UTC ---
> Karolin please include in 4.1.next, 4.0.next.
>
> Thanks !
>
> Jeremy.
>
> --
> Configure bugmail: https://bugzilla.samba.org/userprefs.cgi?tab=email
> ------- You are receiving this mail because: -------
> You reported the bug.
Comment 7 Karolin Seeger 2014-06-10 09:08:18 UTC
(In reply to comment #5)
> Karolin please include in 4.1.next, 4.0.next.
> 
> Thanks !
> 
> Jeremy.

Pushed to autobuild-v4-[0|1]-test.
Comment 8 Karolin Seeger 2014-06-21 20:00:01 UTC
(In reply to comment #7)
> (In reply to comment #5)
> > Karolin please include in 4.1.next, 4.0.next.
> > 
> > Thanks !
> > 
> > Jeremy.
> 
> Pushed to autobuild-v4-[0|1]-test.

Pushed to both branches.
Closing out bug report.

Thanks!